CAD/CAM discussion forum > CAD > Break at point

Break at point

    
  Subscribe Topic

Rank: 3Rank: 3

attila7056

Junior Engineer

posts: 19

Registered: 2016-6-3

Message 1 of 4

 Break at point
13-03-2017 11:50 . pm   |   View his/her posts only
Hi,
ZWCAD 2017 (Vernum: 2017.01.23. (13656)):

The Break at Point command NOT working (there is no difference between "Break at Point" and "Break" command)!
Please help me how can I fix it.

Thanks,
Attila

Rank: 4

Goran

Senior Engineer

posts: 83

Registered: 2011-7-16

Message 2 of 4

15-03-2017 03:54 . am   |   View his/her posts only
Break and break at point are the same command, result depends only from user interaction. I found this lisp file in one of archived posts in a autocad's forum.

; Osnap nearest
(defun c:crack ()
(setvar "cmdecho" 0)
(setq osnap_mode (getvar "osmode"))
(setvar "osmode" 512)
(setq pt1 (getpoint "\nEnter Point to Break object"))
(command "break" pt1 pt1)
(setvar "cmdecho" 1)
(setvar "osmode" osnap_mode)
(princ)
)

; With current Osnap, or without if osnap is not set
(defun c:crack ()
(setvar "cmdecho" 0)
(setq pt1 (getpoint "\nEnter Point to Break object"))
(command "break" pt1 pt1)
(setvar "cmdecho" 1)
(princ)
)

If you want, change command from cui:
hm.... ^C^C_break \_f \@ -> this command is o.k. And Zwcad 2017 have problem with lisp interpretation... This is why some lisp rutines works on 2014 or 2015 but not in 2017.

If you are try manualy break at point try this:

break [Enter]
Select entity to break: => select object
Specify the second break point or [First break point]: f
Specify the first break point: nea => (or anny other osnap)
Nearest
Specify the second break point: @ => hit @ as last known point => this is seccond point from first point with distance 0 (zero) from first and at angle 0 (zero) from first point, this is exactly first point
So this is basicaly first line ^C^C_break \_f \@, but it's not working!!

Also, Zwcad 2017 (at least what I found) have problem with user interaction, something is mixed up (espetialy if you are using get* families of commands in .net), so one more thing to check before SP3.

Rank: 5Rank: 5

Jeffrey_ZWCAD

posts: 425

Registered: 2015-6-9

Message 3 of 4

15-03-2017 08:56 . am   |   View his/her posts only
Reply 1# attila7056


Hi, you can use BREAK command to break at point. Here is how to:

Command: BREAK
Select entity to break: Select the object
Specify the second break point or [First break point]: Input F
Specify the first break point: Snap to select the point
Specify the second break point: Snap to select the point again
Command:

And then, you can see the entity is broken with the point specified.

Rank: 3Rank: 3

attila7056

Junior Engineer

posts: 19

Registered: 2016-6-3

Message 4 of 4

16-03-2017 10:14 . pm   |   View his/her posts only
Reply 1# attila7056

Thanks! I'll try it.Attila
See also
X